Ubuntu

Failed to fetch http://extras.ubuntu.com/ubuntu/dists/maverick/Release ; missing key

Reported by Charlie Kravetz on 2010-09-28
108
This bug affects 24 people
Affects Status Importance Assigned to Milestone
kpackagekit (Ubuntu)
Undecided
Unassigned
Maverick
Undecided
Unassigned
livecd-rootfs (Ubuntu)
High
Michael Vogt
Maverick
High
Michael Vogt
ubuntu-extras-keyring (Ubuntu)
High
Michael Vogt
Maverick
High
Michael Vogt

Bug Description

Binary package hint: ubuntu-extras-keyring

all Maverick Meerkat Release Candidate dated 2010-09-28. After installing, the http://extras.ubuntu.com/ubuntu/dists/maverick/Release repository is not updated because the GPG key is missing.

The following error is seen when apt-get update is run in a terminal window after the restart:

Reading package lists... Done
W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://extras.ubuntu.com maverick Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 16126D3A3E5C1192

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/maverick/Release

W: Some index files failed to download, they have been ignored, or old ones used instead.

This can be fixed easily by adding the GPG key to the keyring.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: ubuntu-extras-keyring 2010.09.27
ProcVersionSignature: Ubuntu 2.6.35-22.33-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Tue Sep 28 12:17:44 2010
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release Candidate i386 (20100928)
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntu-extras-keyring

tags: added: iso-testing
Michael Vogt (mvo) wrote :

Thanks for your bugreport.

Is that a live-desktop install or a alternate install? On the live-system, do you get the same message when running apt-get update? what does "sudo apt-key list" display?

Michael Vogt (mvo) wrote :

I can reproduce this on the live system. The package "ubuntu-extras-keyring" is installed, but "sudo apt-key list" does not show the extras signing key. A "sudo apt-get install --reinstall ubuntu-extras-keyring" fixes the issue.

Changed in ubuntu-extras-keyring (Ubuntu):
status: New → Confirmed
importance: Undecided → High
milestone: none → ubuntu-10.10
Michael Vogt (mvo) wrote :

From http://people.canonical.com/~ubuntu-archive/livefs-build-logs/maverick/ubuntu/current/livecd-20100928-amd64.out:
...
Setting up ubuntu-extras-keyring (2010.09.27) ...
Importing extras.ubuntu.com keyring
OK
Processing extras.ubuntu.com removal keyring
OK
...

So that looks correct.

I actually got this doing installations of both the desktop image and the alternate image. I used the Ubuntu desktop cd and Xubuntu desktop and alternate cd's.

I have this also installing the Maverick RC UbuntuStudio, using alternate DVD's , both on hardware and in VirtualBox.

Michael Vogt (mvo) wrote :

The problem is that livecd.sh creates a backup of the trusted.gpg file before installing ubuntu-desktop. Then adds the buildhosts keys and then restores the backup. This removes the changes from ubuntu-extras-keyring as well.

Changed in ubuntu-extras-keyring (Ubuntu Maverick):
status: Confirmed → In Progress
assignee: nobody → Michael Vogt (mvo)
Michael Vogt (mvo) wrote :

One possible fix is:
=== modified file 'livecd.sh'
--- livecd.sh 2010-09-24 12:54:11 +0000
+++ livecd.sh 2010-09-30 09:37:01 +0000
@@ -504,8 +504,7 @@

     # In addition to the ones we got from apt, trust whatever the local system
     # believes in, but put things back afterwards.
- cp ${ROOT}etc/apt/trusted.gpg ${ROOT}etc/apt/trusted.gpg.$$
- cat /etc/apt/trusted.gpg >> ${ROOT}etc/apt/trusted.gpg
+ cp /etc/apt/trusted.gpg ${ROOT}etc/apt/trusted.gpg.d/build-host.gpg

     chroot $ROOT apt-get update
     checkpoint "Upgrading"
@@ -645,7 +644,8 @@
 Pin-Priority: 550
 @@EOF
     fi
- mv ${ROOT}etc/apt/trusted.gpg.$$ ${ROOT}etc/apt/trusted.gpg
+ # remove the keys from the build host again
+ rm ${ROOT}etc/apt/trusted.gpg.d/build-host.gpg

     # get rid of the .debs - we don't need them.
     chroot ${ROOT} apt-get clean

Michael Vogt (mvo) wrote :

A alternative (and simpler) version of this I commited to bzr now, it simply move the key back earlier (all key verification is done at apt-get update time). I'm testing the fix now.

Michael Vogt (mvo) on 2010-09-30
Changed in livecd-rootfs (Ubuntu Maverick):
status: New → Fix Committed
importance: Undecided → High
milestone: none → ubuntu-10.10
assignee: nobody → Michael Vogt (mvo)
Changed in ubuntu-extras-keyring (Ubuntu Maverick):
status: In Progress → Invalid
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 1.152

---------------
livecd-rootfs (1.152) maverick; urgency=low

  * livecd.sh:
    - Restore the keyring earlier in the chroot (before the dist-upgrade).
      This fixes the missng key for the extras.ubuntu.com that is added
      during the livecd build dist-ugprade (LP: #650525)
 -- Michael Vogt <email address hidden> Thu, 30 Sep 2010 14:32:57 +0200

Changed in livecd-rootfs (Ubuntu Maverick):
status: Fix Committed → Fix Released
ziggurat (manuelcorrales) wrote :

Will this fix the installed ubuntu or just fix the installation process?

Kamus (kamus) wrote :

after reinstalling ubuntu-extras-keyring solved the problem.

Scott Beamer (angrykeyboarder) wrote :

So has this been updated on the most recent (as of this writing) DVD (02 October 2010)?

I installed yesterday from the prior DVD image and came across this problem.

I just wanted to note that it is (was) a problem on the DVD as well as the Live CD.

Fabián Rodríguez (magicfab) wrote :

@Scott, you need to be using a daily image (not RC) to see the fix:
http://cdimages.ubuntu.com/dvd/current/

I see those date from Oct 2 though.

jimav (james-avera) wrote :

Can someone post how to install the fix (if possible) into an existing system (from 9/25/201 in my case)?

I tried updating ubuntu-extras-keyring, and got version 2010.09.27 which does not fix the problem...

  sudo apt-get --reinstall install ubuntu-extras-keyring

... ought to do it.

DajomU (dmuren) wrote :

And it certainly did :)

KG (eriksson25) wrote :

I upgraded my machine today from 10.04 to 10.10. And I got this bug, I cant do anything, and sudo apt-get --reinstall install ubuntu-extras-keyring dosent work for me, just gives the same error, invalid package, errors were encountered while processing
Ubuntu-keyring
Ubuntu-minimal
Ububntu-extras-keyring
Ubuntu-Desktop

Plz anyone that can help`?

angryfirelord (angryfirelord) wrote :
Download full text (6.3 KiB)

This error still seems to be there. When you reinstall it, it says the keys are ok, but when you run sudo apt-get update, it doesn't go away.

sudo apt-get --reinstall install ubuntu-extras-keyring
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
Need to get 0B/3,424B of archives.
After this operation, 0B of additional disk space will be used.
(Reading database ... 122384 files and directories currently installed.)
Preparing to replace ubuntu-extras-keyring 2010.09.27 (using .../ubuntu-extras-keyring_2010.09.27_all.deb) ...
Unpacking replacement ubuntu-extras-keyring ...
Setting up ubuntu-extras-keyring (2010.09.27) ...
Importing extras.ubuntu.com keyring
OK
Processing extras.ubuntu.com removal keyring
OK

sudo apt-get update
Hit http://archive.canonical.com maverick Release.gpg
Ign http://archive.canonical.com/ubuntu/ maverick/partner Translation-en
Ign http://archive.canonical.com/ubuntu/ maverick/partner Translation-en_US
Get:1 http://extras.ubuntu.com maverick Release.gpg [316B]
Ign http://extras.ubuntu.com/ubuntu/ maverick/main Translation-en
Ign http://extras.ubuntu.com/ubuntu/ maverick/main Translation-en_US
Hit http://security.ubuntu.com maverick-security Release.gpg
Ign http://security.ubuntu.com/ubuntu/ maverick-security/main Translation-en
Hit http://us.archive.ubuntu.com maverick Release.gpg
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/main Translation-en
Hit http://archive.canonical.com maverick Release
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/main Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/multiverse Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/multiverse Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/restricted Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/restricted Translation-en_US
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/universe Translation-en
Ign http://us.archive.ubuntu.com/ubuntu/ maverick/universe Translation-en_US
Hit http://us.archive.ubuntu.com maverick-updates Release.gpg
Get:2 http://extras.ubuntu.com maverick Release [57.3kB]
Ign http://security.ubuntu.com/ubuntu/ maverick-security/main Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ maverick-security/multiverse Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/multiverse Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ maverick-security/restricted Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/restricted Translation-en_US
Ign http://security.ubuntu.com/ubuntu/ maverick-security/universe Translation-en
Ign http://security.ubuntu.com/ubuntu/ maverick-security/universe Translation-en_US
Ign http://extras.ubuntu.com maverick Release
Hit http://security.ubuntu.com maverick-security Release
Ign http://us.archive.ubuntu.com/ubuntu/ maverick-updates/main Translation-en ...

Read more...

Neil Mayhew (neil.mayhew) wrote :

extras.ubuntu.com seems to have changed key since this bug was first posted, and it no longer matches the one in ubuntu-extras-keyring (2010.09.27). I imported it manually using gpg --recv with the number given in the apt-get update error message. Now when I run apt-key list this key shows up as "Launchpad Application Review Board PPA".

Instructions for importing the key manually are given here:
http://www.ubuntugeek.com/fix-for-gpg-error-httpextras-ubuntu-com-maverick-release.html

Linus van Geuns (nirkus) wrote :

I upgraded my desktop (amd64) from 10.04 lucid to 10.10 maverick today:
aptitude update
[..]
[..]
Fetched 2,959B in 1s (1,507B/s)
W: GPG error: http://extras.ubuntu.com maverick Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY DB141E2302FDF932

dpkg-reconfigure ubuntu-extras-keyring
aptitude reinstall ubuntu-extras-keyring

didnt do the trick.

Mark Fraser (launchpad-mfraz) wrote :

I've just installed Kubuntu 10.10 on my netbook and I'm getting this error too, none of the above fixes have worked.

Neil Mayhew (neil.mayhew) wrote :

The link I quoted above is for lucid. You need a different key for maverick:

gpg --keyserver keyserver.ubuntu.com --recv 02FDF932
gpg --export --armor 02FDF932 | sudo apt-key add -

@Linus, Mark: please say whether this works for you.

I think the extras archive is using the wrong key for maverick. It should be using the one that's in the ubuntu-extras-keyring (Ubuntu Extras Archive Automatic Signing Key) instead of this one (Launchpad Application Review Board PPA).

dRewsus (drewsus) wrote :

"sudo apt-get --reinstall install ubuntu-extras-keyring" did not work for me
Comment 23 by Neil Mayhew did work for me

Jason Barnett (xasmodeanx) wrote :

@Neil Mayhew I can confirm that for maverick on a desktop install the following fixes the problem.

gpg --keyserver keyserver.ubuntu.com --recv 02FDF932
gpg --export --armor 02FDF932 | sudo apt-key add -

Morgan Collett (morgan) wrote :

Following Neil Mayhew's instructions works for me too.

Tim Casey (tjcasey) wrote :

Neil's instructions worked for me on Maverick Desktop.

Apocalipsys (ricardo-behrends) wrote :

Answer #23 worked for me too.

Changed in ubuntu-extras-keyring (Ubuntu):
status: Invalid → Confirmed
Changed in ubuntu-extras-keyring (Ubuntu Maverick):
status: Invalid → Confirmed
Linus van Geuns (nirkus) wrote :

Well, it's not that surprising that importing a missing key manually will fix warning messages about the missing key. :-)

Does this mean, ubuntu-extras-keyring will ship the singing key soon?

I dont know the procedures and details of "Ubuntu extras", but every archive/package signing key used in that repository should be shipped via the keyring package _before_ it is being used for signatures, aint it?

Thanks Neil, worked like a charm.

CyborgAlpha (cyborg-alpha-nh4) wrote :

Still produced ;

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/maverick/Release.gpg Something wicked happened resolving 'extras.ubuntu.com:http' (-5 - No address associated with hostname)

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/maverick-security/Release.gpg Something wicked happened resolving 'security.ubuntu.com:http' (-5 - No address associated with hostname)

W: Failed to fetch http://packages.medibuntu.org/dists/maverick/Release.gpg Something wicked happened resolving 'packages.medibuntu.org:http' (-5 - No address associated with hostname)

os: Kubuntu 10.10

CyborgAlpha (cyborg-alpha-nh4) wrote :

Did: sudo apt-get install --reinstall ubuntu-extras-keyring as suggested @ http://www.ubuntugeek.com/fix-for-gpg-error-httpextras-ubuntu-com-maverick-release.html

Results: [on sudo apt-get update ]
W: Failed to fetch http://archive.canonical.com/ubuntu/dists/maverick/Release.gpg Something wicked happened resolving 'archive.canonical.com:http' (-5 - No address associated with hostname)

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/maverick/Release.gpg Something wicked happened resolving 'extras.ubuntu.com:http' (-5 - No address associated with hostname)

W: Failed to fetch http://packages.medibuntu.org/dists/maverick/Release.gpg Something wicked happened resolving 'packages.medibuntu.org:http' (-5 - No address associated with hostname)

Did: sudo apt-key adv --keyserver keyserver.ubuntu.com --recv 3E5C1192 && sudo apt-get update

Got:
W: Failed to fetch http://archive.canonical.com/ubuntu/dists/maverick/Release.gpg Something wicked happened resolving 'archive.canonical.com:http' (-5 - No address associated with hostname)

W: Failed to fetch http://security.ubuntu.com/ubuntu/dists/maverick-security/Release.gpg Something wicked happened resolving 'security.ubuntu.com:http' (-5 - No address associated with hostname)

W: Failed to fetch http://packages.medibuntu.org/dists/maverick/Release.gpg Something wicked happened resolving 'packages.medibuntu.org:http' (-5 - No address associated with hostname)

CyborgAlpha (cyborg-alpha-nh4) wrote :

Did: sudo apt-key adv --keyserver keyserver.ubuntu.com --recv 40976EAF437D05B5 && sudo apt-get update

Got:
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv 40976EAF437D05B5 && sudo apt-get update
[sudo] password for ch3ch3:
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv 40976EAF437D05B5
gpg: requesting key 437D05B5 from hkp server keyserver.ubuntu.com
gpg: key 437D05B5: "Ubuntu Archive Automatic Signing Key <email address hidden>" 21 new signatures
gpg: no ultimately trusted keys found
gpg: Total number processed: 1
gpg: new signatures: 21

and (at the bottom)

W: Failed to fetch http://archive.canonical.com/ubuntu/dists/maverick/Release.gpg Something wicked happened resolving 'archive.canonical.com:http' (-5 - No address associated with hostname)

W: Failed to fetch http://extras.ubuntu.com/ubuntu/dists/maverick/Release.gpg Something wicked happened resolving 'extras.ubuntu.com:http' (-5 - No address associated with hostname)

W: Failed to fetch http://packages.medibuntu.org/dists/maverick/Release.gpg Something wicked happened resolving 'packages.medibuntu.org:http' (-5 - No address associated with hostname)

Changed in kpackagekit (Ubuntu):
status: New → Invalid
Changed in kpackagekit (Ubuntu Maverick):
status: New → Invalid
S Michel (post-michelsstern) wrote :

I don't know if I am supposed to open a new bug. In Oneiric there is the same Problem with extras it seems to affect people who had the proposed sources activated and installed alpha or beta release .

Thanks for any hint

Seballa

I could not restore the keys this is what I tried (I just tried the keyring reinstall without success)

h@hh:~$ gpg --recv-keys --keyserver keyserver.ubuntu.com 3E5C1192
gpg: Schlüssel 3E5C1192 von hkp Server keyserver.ubuntu.com anfordern
gpg: Schlüssel 3E5C1192: "Ubuntu Extras Archive Automatic Signing Key <email address hidden>" nicht geändert
gpg: Anzahl insgesamt bearbeiteter Schlüssel: 1
gpg: unverändert: 1

h@hh:~$ gpg --export --armor 3E5C1192 | sudo apt-key add -
OK

h@hh:~$ sudo apt-get update
...
...
...
W: GPG error: http://extras.ubuntu.com oneiric Release: The following signatures were invalid: BADSIG 16126D3A3E5C1192 Ubuntu Extras Archive Automatic Signing Key <email address hidden>

h@hh:~$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 3E5C1192
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.34uZCavObh --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv-keys 3E5C1192
gpg: Schlüssel 3E5C1192 von hkp Server keyserver.ubuntu.com anfordern
gpg: Schlüssel 3E5C1192: "Ubuntu Extras Archive Automatic Signing Key <email address hidden>" nicht geändert
gpg: Anzahl insgesamt bearbeiteter Schlüssel: 1
gpg: unverändert: 1

h@hh:~$ sudo apt-get update
...
...
...
W: GPG error: http://extras.ubuntu.com oneiric Release: The following signatures were invalid: BADSIG 16126D3A3E5C1192 Ubuntu Extras Archive Automatic Signing Key <email address hidden>

S Michel (post-michelsstern) wrote :

OK

sudo rm /var/lib/apt/lists/ -r

fixes the problem for me.

Seballa

JC Hulce (soaringsky) wrote :

This bug affects Ubuntu 10.10, Maverick Meerkat. Maverick has reached end-of-life and is no longer supported, so I am closing the bugtask for Maverick. Please upgrade to a newer version of Ubuntu.
More information here: https://lists.ubuntu.com/archives/ubuntu-announce/2012-April/000158.html

Changed in ubuntu-extras-keyring (Ubuntu Maverick):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions